We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

modules.dep not found


N3o
07.03.09, 19:56
Mit dem eigenen Kernel klappt es jetzt

Warum die 2.6.28.1 nichts nach /lib/modules/2.6.28.1/ installieren wollte, bleibt mir ein Rätzel

N3o
06.03.09, 23:52
Klappt leider trotzdem nicht.
Das Verzeichnis /lib/modules/2.6.28.1/ bleibt leer.
Ich kann auch nirgendwo eine modules.dep finden.

Auch ein depmod -A brachte nichts

F4RR3LL
06.03.09, 20:57
Modulsupport ist ja auch drin ...... und ein mkdir /lib/modules/2.6.28.1 denk ich sollte wohl kein problem sein

und wer dann noch tools hat die nach nem header schrein .... auch das kann man fix herzaubern...

Code:
cd /usr/src && wget http://www.kernel.org/pub/linux/kernel/v2.6/linux-2.6.28.1.tar.gz && tar xzf linux-2.6.28.1.tar.gz && cd linux-2.6.28.1/ && make oldconfig && make
wenn bei oldconfig fragen kommen einfach durchklicken
damit kann man dem system auch ohne eigene headers oder ähnliches zu haben ruhe einsäuseln. Das ist zwar quick n dirty aber funzt

N3o
06.03.09, 19:37
Das verstehe ich jetzt nicht so ganz. Ich habe auch nach der Etch from Scratch Anleitung installiert und habe nun den 2.6.28.1 Kernel.
Ich dachte, wenn ich es mit linux-image-2.6.28.1 incl.Modulsupport.by.F4RR3LL installiere, das ich dann den Modulsupport habe ?!

Wer kann mir helfen, das ich die Module aktivieren kann?

Doridian
19.02.09, 20:08
Das ist dieser vorgefertigte Kernel, mit dem habe ich auch diese Datei vermisst (bzw. den ganzen /lib/modules/VERSION/ Ordner), ich habe mir dann einfach einen selber kompiliert, mit dem lief es.

eumel08
19.02.09, 16:54
hi, ich hab diese http://wiki.nixhelp.de/doku.php/ovh-...y-from-scratch howto soweit durch netzwerk, usw. funkt alles, bis auf den modul support.
Code:
#depmod
WARNING: Couldn't open directory /lib/modules/2.6.28.1: No such file or directory
FATAL: Could not open /lib/modules/2.6.28.1/modules.dep.temp for writing: No such file or directory